<?php

	/*
	 * Addon tvsfeuser
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: index.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	$rexversion		= $REX['VERSION'] . $REX['SUBVERSION'];
	$user_table		= $table_pre . "_user";
	$thispage		= "tvsfeuser";
	$thissubpage	= "access";
	$myIniFile		= $REX['INCLUDE_PATH'] . "/addons/" . $thispage . "/" . $thispage . ".ini";
	$baseURL		= 'index.php?page='.$thispage.'&amp;subpage='.$thissubpage;

	$rights			= rex_post('rights', 'array', '');
	$redir_link		= rex_post('redir_link', 'string', '');
	$redir_link_name= rex_post('redir_link_name', 'string', '');
	$mode			= rex_post('mode', 'string', '');

	if (!function_exists('articleMapStart')):
		function articleMapStart($lastlev=0, $ebene=0)
		{
			if (!isset($lastlev) || $lastlev == 0):
				foreach (OOCategory::getRootCategories() as $aktlev) {
					articleMapPrint($aktlev,$ebene);
				}
			elseif (is_object($lastlev)):
				foreach ($lastlev->getChildren() as $aktlev):
					articleMapPrint($aktlev,$ebene);
				endforeach;
			else:
				$aktlev = OOCategory::getCategoryById($lastlev);
				articleMapPrint($aktlev,$ebene);
			endif;
			$ebene -= 1;
		}
	endif;

	if (!function_exists('articleMapPrint')) {
		function articleMapPrint($aktlev, $ebene)
		{
			global $rights;
			if ($aktlev->isOnline()) {
				$aktlevSize = sizeof($aktlev->getChildren());
			
				$rights_array= explode(",", $rights);
				$articles = $aktlev->getArticles();
				if(is_array($articles) && count($articles) > 0) {
					foreach ($articles as $art) {
						if (in_array($art->getId(), $rights_array))
							$selected = "selected = \"selected\"";
						else
							$selected = "";
						if ($art->isStartArticle())
							$filler = str_repeat('&nbsp;&nbsp;&nbsp;',$ebene);
						else
							$filler = str_repeat('&nbsp;&nbsp;&nbsp;',$ebene+1);
						if ($art->isOnline())
							echo "<option value=\"" . $art->getId() . "\" " . $selected . ">" .  $filler . $art->getName() . "</option>";
					}
				}
				if ($aktlevSize != "0") {
					$ebene += 1;
					articleMapStart($aktlev, $ebene);
				}
			}
		}
	}

	if ($func == "write" && !isset($cancel))
	{
		
		$new_rights = implode(',' , $rights);
		$new_keys = "accessRestrictions=" . $new_rights . chr(10);
		$new_keys .= "Redir_Link=" . $redir_link . chr(10);
		$new_keys .= "Redir_Link_Name=" . $redir_link_name . chr(10);

		$fh = fopen($myIniFile, 'w') or die("Can't open " . $thispage . ".ini.");
		fwrite($fh, $new_keys);
		fclose($fh);
	}

	if (file_exists($myIniFile)) {
		$stringData = file_get_contents($myIniFile);
		$settings = parse_ini_file($myIniFile);
		
		$rights				= $settings['accessRestrictions'];
		$redir_link			= $settings['Redir_Link'];
		$redir_link_name	= $settings['Redir_Link_Name'];
	}

?>

	<h2>Zugriffsrechte festlegen:</h2>

	<br />

	<div class="rex-addon-output-v2">

		<div id="rex-addon-editmode" class="rex-form">
		<form action="<?php echo $baseURL; ?>" method="post">
			<fieldset class="rex-form-col-1">

				<input type="hidden" name="page" value="<?php echo $thispage; ?>" />
				<input type="hidden" name="subpage" value="<?php echo $thissubpage; ?>" />
				<input type="hidden" name="func" value="write" />
				<input type="hidden" name="mode" value="<?php echo htmlspecialchars($func); ?>" />
				<input type="hidden" name="id" value="<?php echo $id; ?>" />

				<div class="rex-form-wrapper">

				<div class="rex-form-row">
					<p class="rex-form-col-a rex-form-select">
						<label for="rights">Artikelberechtigungen:<br />(Mehrfachauswahl mit &lt;STRG&gt;)</label>
						<select name="rights[]" size="20" multiple="multiple" class="rex-form-select">
						<?php
							articleMapStart();
							$rootArticles = OOArticle::getRootArticles(true, false);
							foreach($rootArticles as $rootArticle) {
								if ($rootArticle->isOnline()) {
									$rights_array= explode(",", $rights);
									if (in_array($rootArticle->getId(), $rights_array))
										$selected = "selected = \"selected\"";
									else
										$selected = "";
									echo "<option value=\"" . $rootArticle->getId() . "\" " . $selected . ">" . $rootArticle->getName() . "</option>";
								}
							}
						?>
						</select>
					</p>
				</div>
				
				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="redir_link">Login-Seite:</label>
						<input type="hidden" name="redir_link" id="LINK_1" value="<?php echo $redir_link; ?>" /> <input type="text" size="10" name="redir_link_name" value="<?php echo $redir_link_name; ?>" id="LINK_1_NAME" readonly="readonly" /> <a href="#" onclick="openLinkMap('LINK_1', '&clang=0&category_id=0');return false;" tabindex="24">  <img src="media/file_open.gif" width="16" height="16" alt="Öffne Strukturbaum" title="Öffne Strukturbaum" /> </a>
						<a href="#" onclick="deleteREXLink(1);return false;" tabindex="25">  <img src="media/file_del.gif" width="16" height="16" title="Auswahl entfernen" alt="Auswahl entfernen" /> </a>
					</p>
				</div>


				<div class="rex-form-row">
				</div>

				<div class="rex-form-row">
					<p class="rex-form-col-a rex-form-submit rex-form-submit-2">
						<input type="submit" name="submit" class="rex-form-submit submit" value="Speichern" />&nbsp;
						<input type="submit" name="cancel" class="rex-form-submit cancel" value="Abbrechen" />
					</p>
				</div>

			</div>
			</fieldset>
		</form>
		</div>
		
	</div>
